/***************************************************************************
 *   Copyright (C) 2006 by couriousous, blino, trem                        *
 *   couriousous@mandriva.org                                              *
 *   oblin@mandriva.com                                                    *
 *   trem@mandriva.org                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __PRCSYS_LIST_H__
#define __PRCSYS_LIST_H__

#include "prcsys.h"

void fill_service_list(struct service ** list, char * dir);
struct service * who_provides(char * name);
struct service * validate_requires(struct service * serv, struct proreq * j);
int requires_on_me(struct service * serv, struct service * me);
int subsys_already_up(char * subsys);
void clean_graph(void);
void run_graph(struct service * serv);
int fill_requires(char * directory);
void fill_proreq_list(struct proreq ** list, char * str);

#endif
